Subject: Re: [PATCH 1/2] gnu: Lint synopses.

From: Vagrant Cascadian <[email-masked]>
Date: Tue, 10 Dec 2024 23:08:20 -0800

On 2024-11-12, Gabriel Wicki wrote:
> Subject: [PATCH 1/2] gnu: Lint synopses.
>
> Correct a bunch of synopses.
>
> Change-Id: I69fb52cc783994673e2eaf92b936edc19ba92cfe
> ---
>  gnu/packages/astronomy.scm          |  2 +-
...
>  gnu/packages/web.scm                |  2 +-
>  57 files changed, 175 insertions(+), 178 deletions(-)

Thanks! I think that alone cleared around 200 guix lint warnings!

Pushed as several split commits:

6f8c8a86d827627f503a803381bce7fbcf8f39a0 gnu: Fix synopsis in miscelaneous packages.
1b7c85f24ea6bf455a31cb289dabeadff27687f1 gnu: Fix synopsis in various go packages.
8d05f0c8db93ccd5350cb8968fd96957ea9820b2 gnu: Fix synopsis in various python packages.
2159d8fc03487da400e6694d522a41b934a2a1aa gnu: Fix synopsis in various julia packages.
3ba56d011e5b568f653c5d1cc54e407e2e9062da gnu: Fix synopsis in various texlive packages.
b158f3fb7acb8a9677898e3cfffd21abf55dbafa gnu: Fix synopsis in rust packages.
44cc1295752edb7711471dce4872c41d740d10d0 gnu: Fix synopsis in various sbcl packages.
5d77267abd2ec8a4537304c22118166cd74c1620 gnu: Fix synopsis in various emacs packages.
1199a19ba7a1486ef016e8991d21d53e9c7eb990 gnu: Fix synopsis in various haskell packages.

I used guix.git/etc/committer.scm to help format the oh-so-verbose
commit messages, and then squashed the resulting individual patches into
several grouped semi-related patches, although it required a lot of
massaging to get it "right". Clearly I had to make it hard on myself. :)

I believe the changed files are more-or-less identical to what you
proposed, with only some minor rebasing needed.

In the future, somewhat smaller patch sets from the get-go would be
easier (and possibly quicker) to review and merge. Also, if the worst
happens, and it takes a long time to review (Like this time!
Oops. Sorry!), the individual patches might be more likely to merge
successfully than one or two huge mega-patches.

Still have to follow-up with the description patches (I did manage to
rebase it on a recent master, at least)... where I suspect I will have
more opinions... but that is for another day...

Thanks again!

live well,
  vagrant